Bug 44574 - freetype: Multiple issues (4.2)
freetype: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P3 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
: 46841 (view as bug list)
Depends on:
Blocks: 44573
  Show dependency treegraph
 
Reported: 2017-05-10 13:54 CEST by Arvid Requate
Modified: 2018-04-18 14:15 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 7 (CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-05-10 13:54:02 CEST
+++ This bug was initially created as a clone of Bug #44573 +++

Upstream Debian package version 2.4.9-1.1+deb7u6 fixes:

* out of bounds write caused by a heap-based buffer overflow could be triggered in freetype via a crafted font (CVE-2017-8105)

* malformed font could result in denial of service or the execution of arbitrary code (CVE-2017-8287)

* remote denial of service (heap-based buffer over-read) or possible unspecified other impact via a crafted file (CVE-2016-10244)
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:45 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Arvid Requate univentionstaff 2018-04-12 20:39:54 CEST
There is neither a package imported nor an Advisory committed.

repo_stat.py:
Version 2.5.2-3+deb8u1  Rev 98813       Date 2017-06-07 04:43:35
        Release 4.2-0-0
Version 2.6.3-3.2       Rev 119377      Date 2017-11-04 16:33:57
        Release 4.3-0-0
Comment 3 Philipp Hahn univentionstaff 2018-04-17 14:54:36 CEST
*** Bug 46841 has been marked as a duplicate of this bug. ***
Comment 4 Philipp Hahn univentionstaff 2018-04-17 15:02:39 CEST
For some unknown reason only the .udeb package from the fixed version had already been into UCS-4.2-1, but not all the other regular .deb packages. debmirror than flagged the fixes source package as done.
<http://xen1.knut.univention.de:8000/packages/source/freetype/?since=4.2>

I copied it by hand using repo-errata-copy-dsc.
[4.2-3] 9a5e9680cf Bug #44574: freetype 2.5.2-3+deb8u2
 doc/errata/staging/freetype.yaml | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
Comment 5 Arvid Requate univentionstaff 2018-04-17 19:11:58 CEST
* Ok 2.5.2-3+deb8u2 is imported and installable
* No additional UCS patches
* Advisory Ok
Comment 6 Arvid Requate univentionstaff 2018-04-18 14:15:51 CEST
<http://errata.software-univention.de/ucs/4.2/332.html>